\chapter{METHODOLOGY}
\section{Design Constraints}
\begin{enumerate}
    \item Ethics and Legality
    \begin{itemize}
        \item Design by following required laws and codes of conducts
        \item Design with privacy awareness
        \item Aware of the regulations on design
        \item Give credit to the related work
    \end{itemize}
    \item Health and Safety
    \begin{itemize}
        \item Design by considering safety and health effect to the users
        \item Design by considering health and safety of others in public
    \end{itemize}
    \item Industrial Needs and Standard
    \begin{itemize}
        \item Design with the suitable tools and compile to standard
        \item Design with industry requirements
    \end{itemize}
    \item Economy
    \begin{itemize}
        \item Design under the available budget
        \item Design with a high quality of product/outcome
    \end{itemize}
    \item Social and Environmental Impact 
    \begin{itemize}
        \item Design by concerning the social impact, such as mental health, social emotion, social
awareness, etc.
    \item Design by concerning the environmental impact, such as energy saving, eco-friendly
materials, etc
    \end{itemize}
\end{enumerate}